For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Search Whitelist

Search Whitelist

get

Use the following parameters to search whitelists.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Query parameters
accountinteger[] · nullableOptional

Returns the whitelists used in the specified account's governance rules.

Default: null
addressstring · nullableOptional

Filters the list by address.

Default: null
created_afterstring · date-time · nullableOptional

Returns objects created after the entered date.

Default: nullExample: 2020-09-12T14:15:22Z
created_beforestring · date-time · nullableOptional

Returns objects created before the entered date.

Default: nullExample: 2020-12-13T16:17:28Z
descriptionstring · nullableOptional

Returns objects that contain the entered description.

Default: null
idinteger · nullableOptional

Returns the object corresponding to the entered ID

Default: null
namestring · nullableOptional

Filters the list by whitelist name.

Default: null
orderstring · enum · nullableOptional

Orders the list of results

Default: nullExample: descPossible values:
order_bystring · nullableOptional

criteria to order by

Default: nullExample: name
pageinteger · min: 1 · nullableOptional

Defines the page number to be fetched.

Default: 1Example: 3
page_sizeinteger · min: -1 · nullableOptional

Defines the number of elements displayed on a page. Must be a positive number with 0 and -1 return a maximum defined in the gate

Default: 20Example: 40
Responses
200

Whitelist search results

application/json
get/whitelists
GET /whitelists HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "edges": [
    {
      "cursor": 0,
      "node": {
        "addresses": [
          {
            "address": "tb1qrdw2mrllkm4lfjgnxeqz0yzjg6835sfyualdhy",
            "currency": "bitcoin_testnet",
            "destination_tag": null,
            "id": 3,
            "name": "main account"
          },
          {
            "address": "mmWpcbXNXoKMjc6Q3WjPSxj4JbpLhAFotF",
            "currency": "bitcoin_testnet",
            "destination_tag": null,
            "id": 4,
            "name": "second account"
          }
        ],
        "created_by": 5,
        "created_on": "2026-01-01T00:00:00.000Z",
        "description": "our own accounts",
        "id": 1,
        "last_request": 3,
        "name": "internal accounts",
        "status": "ACTIVE"
      }
    }
  ],
  "page_info": {
    "count": 1,
    "has_next_page": false
  }
}

Last updated